OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Interface NotificationStrategy

All Known Implementing Classes:
  GrowlNotificationStrategy, JavaJabberNotificationStrategy, JavaMailNotificationStrategy, MockNotificationStrategy, XMPPGroupNotificationStrategy, XMPPNotificationStrategy

public interface NotificationStrategy

Implement this interface as a Java notification "plug-in" for use with the notficationCommands.xml file. Build a class using this interface, and in the xml file set binary=false, and specify the class in the execute tag.

Author:
  David Hustace TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`int` `send(java.util.List arguments)`

Method Detail

### send

    public int send(java.util.List arguments)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.